Subject: Re: mkpasswd - mkgroup inconsistency in W2K Professional (cron problem)
From: "Gerrit P. Haase" <[email-masked]>
To: <[email-masked]>
Date: Fri, 27 Jul 2001 22:12:25 +0200

Prentis Brooks schrieb am 2001-07-27, 15:45:

> Umm, there is a system account on Win2k.
> 
> I think the actual cygrunsrv command line should be:
> 
> cygrunsrv -I cron -p /usr/sbin/cron -a'-D' -e CYGWIN="tty ntsec"
> 
> Someone please correct me if I am wrong about the quotes, but I think
> you need to include them.

From /usr/doc/Cywgin/cron.README:
=================================
	cygrunsrv -I cron -p /usr/sbin/cron -a -D

From /usr/doc/Cygwin/cygrunsrv.README:
======================================
  cygrunsrv -I foo -p /usr/bin/bar -a "-D -e"

calls with two arguments, as in "/usr/bin/bar -D -e". If you need
to specify a single argument which contains spaces, you can 
protect it with single (') or double (") quotes:

  (a) cygrunsrv -I foo -p /usr/bin/bar -a "\"foo bar\""
  (b) cygrunsrv -I foo -p /usr/bin/bar -a "'foo bar'"
  (c) cygrunsrv -I foo -p /usr/bin/bar -a '"foo bar"'

[...]
  cygrunsrv -I foo -p /usr/bin/bar -e HOME=/e/services -e TMP=/var/tmp

A single level of quoting with either single (') or double (") quotes
is allowed:

  cygrunsrv -I foo -p /usr/bin/bar -e BAR="\"/d/My Documents/services\""

[...]

The above example of Prentis should work.
I think, best Option is to set  <CYGWIN=tty ntsec binmode> 
as a systemwide permanent environment variable.

gph

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/